
import 'package:flutter/material.dart';
import 'package:device_helper/device_helper.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    _printMethodResult();
  }

  _printMethodResult() async {
    debugPrint('checkGPSIsOpen:' + (await DeviceHelper.checkGPSIsOpen()).toString());
    debugPrint('getAndroidId:' + await DeviceHelper.getAndroidId());
    debugPrint('getAvailableInternalMemorySize:' + await DeviceHelper.getAvailableInternalMemorySize());
    debugPrint('getTotalInternalMemorySize:' + await DeviceHelper.getTotalInternalMemorySize());
    debugPrint('isSDCardMount:' + (await DeviceHelper.isSDCardMount()).toString());
    debugPrint('getSystemLanguage:' + await DeviceHelper.getSystemLanguage());
    debugPrint('hasExtraSD:' + (await DeviceHelper.hasExtraSD()).toString());
    debugPrint('getIMEI:' + await DeviceHelper.getIMEI());
    debugPrint('getDeviceId:' + await DeviceHelper.getDeviceId());
    debugPrint('getIPAddress:' + await DeviceHelper.getIPAddress());
    debugPrint('getMac:' + await DeviceHelper.getMac());
    debugPrint('deviceBrand:' + await DeviceHelper.deviceBrand());
    debugPrint('deviceType:' + await DeviceHelper.deviceType());
    debugPrint('getAvailableRAM:' + await DeviceHelper.getAvailableRAM());
    debugPrint('getTotalRAM:' + await DeviceHelper.getTotalRAM());
    debugPrint('isRoot:' + (await DeviceHelper.isRoot()).toString());
    debugPrint('sdkVersion:' + await DeviceHelper.sdkVersion());
    debugPrint('getSerial:' + await DeviceHelper.getSerial());
    debugPrint('getSystemVersion:' + await DeviceHelper.getSystemVersion());
    debugPrint('getSimOperator:' + await DeviceHelper.getSimOperator());
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Container(),
      ),
    );
  }
}
