
import 'dart:async';

import 'package:flutter/services.dart';

class DeviceHelper {
  static const MethodChannel _channel = MethodChannel('com.lee.device_helper/device_helper');

  static Future<bool> checkGPSIsOpen() async {
    final bool? res = await _channel.invokeMethod('checkGPSIsOpen');
    return res ?? false;
  }

  static Future<String> getAndroidId() async {
    final String? res = await _channel.invokeMethod('getAndroidId');
    return res ?? '';
  }

  static Future<String> getAvailableInternalMemorySize() async {
    final String? res = await _channel.invokeMethod('getAvailableInternalMemorySize');
    return res ?? '';
  }

  static Future<String> getTotalInternalMemorySize() async {
    final String? res = await _channel.invokeMethod('getTotalInternalMemorySize');
    return res ?? '';
  }

  static Future<bool> isSDCardMount() async {
    final bool? res = await _channel.invokeMethod('isSDCardMount');
    return res ?? false;
  }

  static Future<String> getSystemLanguage() async {
    final String? res = await _channel.invokeMethod('getSystemLanguage');
    return res ?? '';
  }

  static Future<bool> hasExtraSD() async {
    final bool? res = await _channel.invokeMethod('hasExtraSD');
    return res ?? false;
  }

  static Future<String> getIMEI() async {
    final String? res = await _channel.invokeMethod('getIMEI');
    return res ?? '';
  }

  static Future<String> getDeviceId() async {
    final String? res = await _channel.invokeMethod('getDeviceId');
    return res ?? '';
  }

  static Future<String> getIPAddress() async {
    final String? res = await _channel.invokeMethod('getIPAddress');
    return res ?? '';
  }

  static Future<String> getMac() async {
    final String? res = await _channel.invokeMethod('getMac');
    return res ?? '';
  }

  static Future<String> deviceBrand() async {
    final String? res = await _channel.invokeMethod('deviceBrand');
    return res ?? '';
  }

  static Future<String> deviceType() async {
    final String? res = await _channel.invokeMethod('deviceType');
    return res ?? '';
  }

  static Future<String> getAvailableRAM() async {
    final String? res = await _channel.invokeMethod('getAvailableRAM');
    return res ?? '';
  }

  static Future<String> getTotalRAM() async {
    final String? res = await _channel.invokeMethod('getTotalRAM');
    return res ?? '';
  }

  static Future<bool> isRoot() async {
    final bool? res = await _channel.invokeMethod('isRoot');
    return res ?? false;
  }

  static Future<String> sdkVersion() async {
    final String? res = await _channel.invokeMethod('sdkVersion');
    return res ?? '';
  }

  static Future<String> getSerial() async {
    final String? res = await _channel.invokeMethod('getSerial');
    return res ?? '';
  }

  static Future<String> getSystemVersion() async {
    final String? res = await _channel.invokeMethod('getSystemVersion');
    return res ?? '';
  }

  static Future<String> getSimOperator() async {
    final String? res = await _channel.invokeMethod('getSimOperator');
    return res ?? '';
  }
}
